/* Folha de estilo principal
 *
 * Marcelo Barbosa,
 * maio, 2018.
 */

/* importacoes de arquivos externos: fontes */
@import url('https://fonts.googleapis.com/css?family=Quicksand');
@import url('https://fonts.googleapis.com/css?family=Alfa+Slab+One');
@import url('https://fonts.googleapis.com/css?family=Cookie');
@import url('https://fonts.googleapis.com/css?family=Pontano+Sans');
@import url('https://fonts.googleapis.com/css?family=Poppins');


/* seletor: elemento */


/* seletor: classe */
a img.grayscale-image { border: 0;  display: block; margin:auto; max-height: 150px; }

/* listagens */
/* listagens: paragrafos */
.custom-paragraph-list p:nth-child(odd) { background-color: rgba(248, 248, 255, 0.5); }
.custom-paragraph-list p:nth-child(even) { background-color: rgba(255, 255, 255, 0.1); }

/* botoes */
.rounded-button 
{   
    border-radius: 7px; 
    color: white;
    background: linear-gradient(to right, #0066ff, #003380, #0066ff);
}

.rounded-button:hover, .rounded-button:active 
{     
    background: linear-gradient(to right, #0000AA, #000000 , #0000AA);        
    color: white;        
}

/* icones */
.confirm-icon, .error-icon { min-height: 80px; display:block; margin:auto; }


 /* fontes */
.font-alfa-slab-one { font-family: Alfa Slab One; }
.font-cookie { font-family: Cookie; }
.font-pontano-sans { font-family: Pontano Sans; }
.font-quicksand { font-family: Quicksand; }
.font-poppins { font-family: Poppins; }
.font-arial-black { font-family: arial black, arial; }

/* textos */
.text-model-center-justify { text-align:center; }
.custom-text-size-largest { font-size: 2.5em; }


/* formulario de cadastro */
.formulario-de-cadastro
{
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: white;
    z-index: 3;
    top: 0;    
    display: none;
    overflow: hidden;
    overflow-y: auto;
    color: black;
}

/* carrinho de compras */
#shopping-cart 
{
    position: fixed;
    /*
    top: 50%;        
    transform: translateY(-50%);
    */
    right: 0;
    bottom: 260px;
    z-index: 1;
    width: 65px;
    height: 65px;
    padding: 21px;
    padding-left:19px;
    margin: 7px;
    border-radius: 50%;
    box-shadow: none;
    font-size: 1.7em;
}



/* backgrounds */
.bg-white-detail 
{ 
    background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3e_PsIK1k01rgFy5CHur8OemAvk-KvLmsVTynWbbEiR51DXATgbFPKjaYShnVbfG-aKMzuRNVE5uujDUYfbKcHMxAYlquXPE-dJp6tn_amLUxtYELfwqBiXW47P3-0Aa1Jq6yTbYYmIT_qQkp30T8AI=w1560-h191-no?authuser=0'); 
    min-height: 274px;
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
}

.bg-madeira { background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3f7G7H33mtfZzDPyDle8jcxpJ8gejdgKp0iqZUPsWqrb8t8FkDf9jylRTk_rtRRg92FkGtbpTjlYJqTtPr_3HQzkzJAq1kshxEjV4J0kwa5dqbsxtq-TmojUcLZKE-QuTlqWX-2Lx4jJTyzA0e4jsS7=w1830-h888-no?authuser=0'); }
.bg-madeira-2 { background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3dQmz3xxK8Jqq5-VZv-ElN_G1ChiyIj-3jt7oR13_FO8bKM0kta492u4Q57wk9ePGMZVnev-lff2kUiekrmHdLEDsnNTZetKZU44y2sj5VuRHPWIhkECSX76pYqbbtkNDI_Ebvk9qRz2NjI0hcrhS2ILg=w1447-h888-no?authuser=0'); }
.bg-landingpage { background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3dey8oL8Eg1Akm6DGMzqqmFSg0t3MDL6LTK2cwSgkOwBcVaQyu7mD7Gxr3ryibuT_U-RYu2sMxb13CAuHyrPj8ZDl9kGa7BC2xpgpLHxkiyl_oHalsnURtd5ByMj5SokPyw8dKqQEnb7-PdMIDIuEgYNg=w1333-h888-no?authuser=0'); }
.bg-pizza-1 { background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3eRAuZ6oUhJ2WAAgQqoa4d_-XQxMZ5tasANc00-Z_TEKXALiaDn0ZoS9nanLWgiurr_ndqU7H1jOn8ZrmcT1-9hIAiXmEHMCeJ8mooS3DYtSN00TqWqFT6QMdWDaffuOucLHDVdzaGmL_l1Wpf9668pLA=w1399-h938-no?authuser=0'); }
.barra-de-triangulo
{ 
    background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3dIgaTjG-AqqMBfHxpvdOzwh4svLY_2TFoQIESu3ALIG_pPbpETurlbEEzL4ycCJbSQvrNg6jbL_T43roWIXoQxGMG2nc44Jgd3g_-1niDTsjDVQIMblz84IdrICdsTc8MDb5sSv9mlJJc1dTmtnHPr4w=w29-h15-no'); 
    background-position: center bottom;
    background-repeat: repeat-x;
    height: 25px;
    width: 100%;
    position:absolute;
    bottom: 0;
    left: 0;
}

/*sombras*/
.card-1-bottom-custom { box-shadow: 0 3px 6px #2A2A2A; }

/* barras */
.bar { height: 5px; }

.gradient-bar 
{
    background: linear-gradient(to right, #0066ff, white, #0066ff);
}


/* slider */
.slider-group { min-height: 400px; }


/* menu de navegacao */
.navigator-menu { background-color: white; }
.navigator-menu .content ul li { border-bottom: 1px solid rgba(20,20,20,0.05); color: #3A3A3A; }
.navigator-menu .content ul li:last-child { border: 0px; }
.navigator-menu .content ul li:hover, .navigator-menu .content ul li:active 
{ background: #a18f5e; color: #FFFFFF; }

/* cores do tema */
.text-color-theme { color: #a18f5e; }
.border-color-theme { border-color: #a18f5e; }
.bg-color-theme { background-color: #a18f5e; }
.bg-color-theme-2 { background-color: #a18f5e; }

/* cores */
.text-color-new-brown { color: #331a00; }
.text-color-new-brown-2 { color: #804200; }
.bg-color-new-blue { background-color: #00001A; }
.border-color-new-blue { border-color: #00001A; }
.text-color-new-blue { color: #00001A; }
.bg-color-new-blue-2 { background-color: #2A7FFF; }
.border-color-new-blue-2 { border-color: #2A7FFF; }
.text-color-new-blue-2 { color: #2A7FFF; }
.bg-color-new-red { background-color: #E60000; }
.text-color-new-red { color: #E60000; }
.bg-color-new-black { background-color: #2A2A2A; }
.bg-color-new-black-1 { background-color: #1A1A1A; }
.border-color-new-red { border-color: #E60000; }
.bg-alpha-gradient-color-new-black {  background-color: rgba(30, 30, 30, 0.7); }
.bg-new-color-gradient-navy-royal-blue { background: linear-gradient(to right top, navy, royalblue); }
.bg-new-color-gradient-red { background: linear-gradient(to right, crimson, #800000); }
.bg-new-color-gradient-green { background: linear-gradient(to right, limegreen, forestgreen); }
.bg-new-color-gradient-orange { background: linear-gradient(to right, #e60000, #ff3300); }
.bg-new-color-gradient-orange-2 { background: linear-gradient(to right, gold, darkorange, orangered, darkorange, gold); }
.bg-new-color-gradient-orange-3 { background: linear-gradient(to right, red, orangered, darkorange, orangered, red); }
.bg-new-color-gradient-orange-4 { background: linear-gradient(to right, #6e0000, #e60000, orangered, #e60000, #6e0000); }
.bg-new-color-gradient-orange-gold { background: linear-gradient(to right, gold, darkorange); }
.bg-new-color-gradient-orange-gold-2 { background: linear-gradient(gold, darkorange, gold); }
.bg-new-color-gradient-brown { background: linear-gradient( #3f0b0b, #2A2A2A, #3f0b0b); }
.bg-new-color-gradient-brown-2 { background: linear-gradient(to right,#331a00, #4d2800, #804200); }
.bg-color-new-gradient-blue { background: linear-gradient(to right, #0066ff, #003380); }
.bg-color-new-gradient-gold-white { background: linear-gradient(gold, white, white); }
.bg-alpha-gradient-color-new-black {  background-color: rgba(0, 0, 0, 0.8); }
.bg-alpha-gradient-color-new-black-2 {  background: linear-gradient(to bottom, transparent, transparent, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.8)); }
.bg-alpha-gradient-color-new-black-3 {  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.7), transparent, rgba(0, 0, 0, 0.7)); }
.bg-alpha-gradient-color-new-black-4 {  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.55), rgba(0, 0, 0, 0.9)); }
.bg-alpha-gradient-color-new-black-5 {  background: linear-gradient(to bottom, black, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.45), rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.8), black); }

/* texto: cores */
.text-color-gradient-blue-magenta 
{
    background: linear-gradient(to right, blue, magenta);
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.text-color-new-gradient-blue 
{
    background: linear-gradient(to right, blue, dodgerblue);
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.text-color-new-gradient-cornsilk
{
    background: linear-gradient(to right, white, cornsilk, lime, blue);
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.text-color-new-gradient-orange-red
{
    background: linear-gradient(to right, red, darkorange);
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.text-color-new-gradient-orange
{
    background: linear-gradient(to right, orangered, darkorange);
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.text-color-new-gradient-blue-navy
{
    background: linear-gradient(to right, deepskyblue, navy);
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.custom-text-right-left { text-align: right; }

/* imagens */


/* visibilidade de elementos */
.custom-tablet-and-smartphone-device-element { display: none; }
.custom-desktop-device-element { display: block; }
.custom-mobile-device-element { display: none; }
.custom-hd-device-element { display: none; }
.custom-full-device-element { display: block; }

/* formularios */
/* formularios: botoes */
.elipse-button-theme, input[type=submit].elipse-button-theme, input[type=button].elipse-button-theme, input[type=reset].elipse-button-theme
{ border-radius: 7px; background-color: #a18f5e; border: 3px solid #a18f5e; color: white; font-size: 1em; }

.elipse-button-theme:hover, .elipse-button-theme:active,
input[type=submit].elipse-button-theme:hover, input[type=submit].elipse-button-theme:active,
input[type=button].elipse-button-theme:hover, input[type=button].elipse-button-theme:active,
input[type=reset].elipse-button-theme:hover, input[type=reset].elipse-button-theme:active
{ background-color: transparent; color: #a18f5e; }

.elipse-button, input[type=submit].elipse-button, input[type=button].elipse-button, input[type=reset].elipse-button
{ border-radius: 7px; border-color:transparent; background: linear-gradient(to right, #6e0000, red, orangered, red, #6e0000); color: white; font-size: 1em; }

.elipse-button:hover, .elipse-button:active,
input[type=submit].elipse-button:hover, input[type=submit].elipse-button:active,
input[type=button].elipse-button:hover, input[type=button].elipse-button:active,
input[type=reset].elipse-button:hover, input[type=reset].elipse-button:active
{ background: linear-gradient(to right, black, #331a00, #663300, #331a00, black); color: white; }

.elipse-button-2, input[type=submit].elipse-button-2, input[type=button].elipse-button-2, input[type=reset].elipse-button-2
{ border-radius: 7px; background-color: orangered; border: 3px solid orangered; color: white; font-size: 1em; }

.elipse-button-2:hover, .elipse-button-2:active,
input[type=submit].elipse-button-2:hover, input[type=submit].elipse-button-2:active,
input[type=button].elipse-button-2:hover, input[type=button].elipse-button-2:active,
input[type=reset].elipse-button-2:hover, input[type=reset].elipse-button-2:active
{ background-color: transparent; color: orangered; }

.elipse-button-3, input[type=submit].elipse-button-3, input[type=button].elipse-button-3, input[type=reset].elipse-button-3
{ border-radius: 7px; background-color: ghostwhite; border: 3px solid ghostwhite; color: black; font-size: 1em; box-shadow: 0 0 2px #2A2A2A; }

.elipse-button-3:hover, .elipse-button-3:active,
input[type=submit].elipse-button-3:hover, input[type=submit].elipse-button-3:active,
input[type=button].elipse-button-3:hover, input[type=button].elipse-button-3:active,
input[type=reset].elipse-button-3:hover, input[type=reset].elipse-button-3:active
{ background-color: transparent; color: #2A2A2A; }

.elipse-button-4, input[type=submit].elipse-button-4, input[type=button].elipse-button-4, input[type=reset].elipse-button-4
{ border-radius: 7px; background-color: #002699; border: 3px solid #002699; color: white; font-size: 1em; }

.elipse-button-4:hover, .elipse-button-4:active,
input[type=submit].elipse-button-4:hover, input[type=submit].elipse-button-4:active,
input[type=button].elipse-button-4:hover, input[type=button].elipse-button-4:active,
input[type=reset].elipse-button-4:hover, input[type=reset].elipse-button-4:active
{ background-color: transparent; color: #002699; }

.elipse-button-5, input[type=submit].elipse-button-5, input[type=button].elipse-button-5, input[type=reset].elipse-button-5
{ border-radius: 7px; background-color: #603cba; border: 3px solid #603cba; color: white; font-size: 1em; }

.elipse-button-5:hover, .elipse-button-5:active,
input[type=submit].elipse-button-5:hover, input[type=submit].elipse-button-5:active,
input[type=button].elipse-button-5:hover, input[type=button].elipse-button-5:active,
input[type=reset].elipse-button-5:hover, input[type=reset].elipse-button-5:active
{ background-color: transparent; color: #603cba; }

.elipse-button-6, input[type=submit].elipse-button-6, input[type=button].elipse-button-6, input[type=reset].elipse-button-6
{ border-radius: 7px; background-color: forestgreen; border: 3px solid forestgreen; color: white; font-size: 1em; }

.elipse-button-6:hover, .elipse-button-6:active,
input[type=submit].elipse-button-6:hover, input[type=submit].elipse-button-6:active,
input[type=button].elipse-button-6:hover, input[type=button].elipse-button-6:active,
input[type=reset].elipse-button-6:hover, input[type=reset].elipse-button-6:active
{ background-color: transparent; color: forestgreen; }

.elipse-button-7, input[type=submit].elipse-button-7, input[type=button].elipse-button-7, input[type=reset].elipse-button-7
{ border-radius: 7px; background-color: royalblue; border: 3px solid royalblue; color: white; font-size: 1em; }

.elipse-button-7:hover, .elipse-button-7:active,
input[type=submit].elipse-button-7:hover, input[type=submit].elipse-button-7:active,
input[type=button].elipse-button-7:hover, input[type=button].elipse-button-7:active,
input[type=reset].elipse-button-7:hover, input[type=reset].elipse-button-7:active
{ background-color: transparent; color: royalblue; }

.elipse-button-8, input[type=submit].elipse-button-8, input[type=button].elipse-button-8, input[type=reset].elipse-button-8
{ border-radius: 7px; background-color: #333399; border: 3px solid #333399; color: white; font-size: 1em; }

.elipse-button-8:hover, .elipse-button-8:active,
input[type=submit].elipse-button-8:hover, input[type=submit].elipse-button-8:active,
input[type=button].elipse-button-8:hover, input[type=button].elipse-button-8:active,
input[type=reset].elipse-button-8:hover, input[type=reset].elipse-button-8:active
{ background-color: transparent; color: #333399; }

.elipse-button-9, input[type=submit].elipse-button-9, input[type=button].elipse-button-9, input[type=reset].elipse-button-9
{ border-radius: 7px; background-color: #057a5f; border: 3px solid #057a5f; color: white; font-size: 1em; }

.elipse-button-9:hover, .elipse-button-9:active,
input[type=submit].elipse-button-9:hover, input[type=submit].elipse-button-9:active,
input[type=button].elipse-button-9:hover, input[type=button].elipse-button-9:active,
input[type=reset].elipse-button-9:hover, input[type=reset].elipse-button-9:active
{ background-color: transparent; color: #057a5f; }

.elipse-button-10, input[type=submit].elipse-button-10, input[type=button].elipse-button-10, input[type=reset].elipse-button-10
{ border-radius: 7px; background-color: #3333ff; border: 3px solid #3333ff; color: white; font-size: 1em; }

.elipse-button-10:hover, .elipse-button-10:active,
input[type=submit].elipse-button-10:hover, input[type=submit].elipse-button-10:active,
input[type=button].elipse-button-10:hover, input[type=button].elipse-button-10:active,
input[type=reset].elipse-button-10:hover, input[type=reset].elipse-button-10:active
{ background-color: transparent; color: #3333ff; }

.elipse-button-11, input[type=submit].elipse-button-11, input[type=button].elipse-button-11, input[type=reset].elipse-button-11
{ border-radius: 7px; background-color: #331a00; border: 3px solid #331a00; color: white; font-size: 1em; }

.elipse-button-11:hover, .elipse-button-11:active,
input[type=submit].elipse-button-11:hover, input[type=submit].elipse-button-11:active,
input[type=button].elipse-button-11:hover, input[type=button].elipse-button-11:active,
input[type=reset].elipse-button-11:hover, input[type=reset].elipse-button-11:active
{ background-color: transparent; color: #331a00; }

.square-button-3, input[type=submit].square-button-3, input[type=button].square-button-3, input[type=reset].square-button-3
{ background-color: white; border: 3px solid ghostwhite; color: black; font-size: 1em; box-shadow: 0 0 2px #2A2A2A; }

.square-button-3:hover, .square-button-3:active,
input[type=submit].square-button-3:hover, input[type=submit].square-button-3:active,
input[type=button].square-button-3:hover, input[type=button].square-button-3:active,
input[type=reset].square-button-3:hover, input[type=reset].square-button-3:active
{ background-color: ghostwhite; color: #2A2A2A; }


input[type="password"],input[type="password"]:focus,input[type="text"],input[type="text"]:focus, 
input[type="number"],input[type="number"]:focus, input[type="email"],input[type="email"]:focus,
input[type="date"],input[type="date"]:focus, input[type="time"],input[type="time"]:focus, 
textarea,textarea:focus, select 
{
    outline:0 !important;border:0 !important;border-radius:5px;background:#eeeeee;
}

/* modals */
.custom-modal { display: none; z-index: 3; }
.simple-modal .modal-header .modal-close-button { color:white }
.simple-modal .modal-header .modal-close-button:hover, 
.simple-modal .modal-header .modal-close-button:active { background-color: transparent; color: #000000; }

.simple-modal .content-area 
{
    max-height: 500px;
    overflow-y: scroll; 
}

/* alturas */
.photo-custom-height { min-height: 400px; }


/* visualizador de imagens */
.custom-viewer .custom-image { max-height: 100px; }
.custom-viewer .viewer { max-height: 350px; }

/* bloco de conteudo com abas */
.tab ul.indexes li.tab-displayed { background-color: orangered; color:white; }
.tab ul.indexes li p { color: white; }
.tab ul.indexes { padding: 0; border: 0; }
.tab ul.indexes li { border-right: 2px solid black; background-color: #2A2A2A;  }
.tab ul.indexes li:hover { background-color: orangered; color:white; }
.tab .indexes-container { border-bottom: 5px solid orangered; }


/* media query para resolucao de telas: sobreescreve classes */
@media only screen and (max-width: 1530px) /* 1530px de largura */
{
    .photo-custom-height { min-height: 300px; }
}

@media only screen and (max-width: 1080px) /* 1080px de largura */
{
    .photo-custom-height { min-height: 250px; }
}

@media only screen and (max-width: 980px) /* 980px de largura */
{
    .custom-hd-device-element { display: block; }
    .custom-full-device-element { display: none; }
}

@media only screen and (max-width: 920px) /* 920px de largura */
{
    .custom-desktop-device-element { display: none; }
    .custom-mobile-device-element { display: block; }
       
    .header-background 
    {        
        min-height: 450px;
    }
}

/* media query para resolucao de telas: sobreescreve classes */
@media only screen and (max-width: 768px) /* tablets de alta resolucao */
{
    /* imagens de fundo */
    .bg-white-detail { min-height: 100px; }

    /* texto em colunas */
    .custom-text-column .content-in-two-columns { -webkit-column-count: 1; -moz-column-count: 1; column-count: 1; }

    .custom-tablet-and-smartphone-device-element { display: block; }
    
    .header .logo { margin-top: 50px; }
    
    .header .logo { position: relative; display: block; margin: auto; }
}

@media only screen and (max-width: 650px) /* 650px de largura */
{
    .photo-custom-height { min-height: 200px; }
}

@media only screen and (max-width: 500px) /* 500px de largura */
{
    .photo-custom-height { min-height: 300px; }
}

@media only screen and (max-width: 480px) /* smartphones */
{
    .drop-down-menu, .drop-down-menu .menu, .menu-items ul { background-color: transparent; background: none; }
    .menu-items ul { box-shadow: none; background-color:transparent;  border-radius: 0; }
    .menu-items li, .menu-items li a, .menu-items ul li a, .menu-items ul li:hover, 
    .menu-items ul li, .menu-items li:hover { background-color: transparent; background: none; color: white; }
    .drop-down-menu .menu-icon { right: 0; position: fixed; }
    .menu-items li a, .menu-items li p { color: white; background-color: transparent; }

    .menu-items li p { border-radius: 0; background: none; box-shadow: none; }
    
    .menu-items li p:hover, .menu-items li p:active, .menu-items li a:active, .menu-items li a:hover, .menu-items ul li a:active, .menu-items ul li a:hover, 
    .menu-items ul li p:hover, .menu-items ul li p:active, .menu-items .caption-link:hover, .menu-items .caption-link:active
    {
        background: linear-gradient(to right, orangered, darkorange);; 
        color: white;
        border-radius: 0;
    }
    
    .drop-down-menu .menu { text-align: left; padding-top: 0; }

    .menu-items .sub-items { display: block; }

    .menu-items ul li p { border: 0; color: white; }
    .menu-items .caption-link { background-color: #FFFFFF; color: #000000; }

    .menu-items ul li:last-child
    {
        border: 0;
        border-radius: 0;
    }

    .menu-items ul li:last-child:hover { border: 0px; }	    

    /* imagens de fundo */
    .bg-white-detail { min-height: 50px; }

    /* textos */
    .text-model-center-justify { text-align: justify; }
    .custom-text-size-largest { font-size: 1.5em; }
    .custom-text-right-left { text-align: left; }
    
    .header .logo { margin-top: 10px; position: absolute; }
    .header-background 
    {
        background-image: url('https://lh3.googleusercontent.com/pw/ACtC-3fP6AddNt-i8GY7adz62w1bpRu6Vlxtm0TCLet9AAcxYH1MjS4ezHUl3iJQkXjTRptcztzS9E3wM9kcVwaDxnmJt1UtnpyC0kc5IQwPMP_oYp4osrGIsusigpyRgbSJVpnAzFLF5jytJzuIXllrlimx=w1506-h937-no?authuser=0');
        background-size: cover;
    }
    
}